SUBDIRS = cfgc interfaces tests icons pics tdepartsdesignerplugin about

INCLUDES = -I$(top_srcdir) $(all_includes)

lib_LTLIBRARIES   = libtdepim.la
libtdepim_la_SOURCES = \
  ktimeedit.cpp \
  alarmclient.cpp \
  kprefsdialog.cpp kpimprefs.cpp \
  categoryselectdialog_base.ui categoryselectdialog.cpp \
  categoryeditdialog_base.ui categoryeditdialog.cpp \
  kdateedit.cpp kimportdialog.cpp kvcarddrag.cpp \
  sidebarextension.cpp infoextension.cpp \
  addressesdialog.cpp addresspicker.ui addresseeview.cpp \
  maillistdrag.cpp MailTransportServiceIface.skel \
  AddressBookServiceIface.skel \
  tdeconfigpropagator.cpp tdeconfigwizard.cpp \
  weaver.cpp weaverextensions.cpp weaverlogger.cpp \
  pluginloaderbase.cpp addresseelineedit.cpp addresseelineedit.skel \
  kdatepickerpopup.cpp tdefileio.cpp \
  clicklineedit.cpp configmanager.cpp \
  collectingprocess.cpp ldapclient.cpp \
  overlaywidget.cpp progressmanager.cpp progressdialog.cpp \
  statusbarprogresswidget.cpp ssllabel.cpp completionordereditor.cpp \
  resourceabc.cpp diffalgo.cpp addresseediffalgo.cpp calendardiffalgo.cpp \
  htmldiffalgodisplay.cpp ldapsearchdialog.cpp broadcaststatus.cpp kresourceprefs.cpp \
  kpixmapregionselectorwidget.cpp kpixmapregionselectordialog.cpp \
  tdeabcresourcecached.cpp kxface.cpp \
  kaccount.cpp kaddrbook.cpp kfoldertree.cpp kregexp3.cpp \
  kscoring.cpp kscoringeditor.cpp ksubscription.cpp kwidgetlister.cpp \
  linklocator.cpp qutf7codec.cpp \
  recentaddresses.cpp spellingfilter.cpp \
  addresseeselector.cpp addresseeemailselection.cpp \
  designerfields.cpp kcmdesignerfields.cpp \
  embeddedurlpage.cpp kincidencechooser.cpp \
  groupwarejob.cpp pimemoticons.kcfgc \
  krsqueezedtextlabel.cpp csshelper.cpp distributionlist.cpp \
  kpimurlrequesterdlg.cpp sendsmsdialog.cpp kmailcompletion.cpp

MailTransportServiceIface_DCOPIDLNG = true
MailTransportServiceIface_DIR = $(srcdir)/interfaces

AddressBookServiceIface_DIR = $(srcdir)/interfaces

libtdepim_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 1:0:0 $(LIB_TQT) -ltdecore
libtdepim_la_LIBADD  = $(top_builddir)/libkcal/libkcal.la \
                       $(top_builddir)/libemailfunctions/libemailfunctions.la \
                       $(LIB_TDEIO) $(LIB_TDEABC) $(LIB_TDEPARTS) $(LIB_TDEIMPROXY) $(LIB_POLL) $(LIB_QUI)
#               $top_builddir)/libtdepim/resources/libkpimresources.la

include_HEADERS = kpimprefs.h

AM_CXXFLAGS = -DQT_PLUGIN
kde_widget_LTLIBRARIES = tdepimwidgets.la
tdepimwidgets_la_LDFLAGS = $(KDE_PLUGIN) -module $(all_libraries) $(LIB_TQT) -ltdecore
tdepimwidgets_la_LIBADD = $(LIB_TDEIO) libtdepim.la
tdepimwidgets_la_SOURCES = tdepimwidgets.cpp 

tdepimwidgets.cpp: $(srcdir)/tdepim.widgets
	$(MAKETDEWIDGETS) -o tdepimwidgets.cpp $(srcdir)/tdepim.widgets

CLEANFILES = tdepimwidgets.cpp

kde_kcfg_DATA = pimemoticons.kcfg

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) ../libkpimidentities/*.cpp ../libemailfunctions/*.cpp *.cpp -o $(podir)/libtdepim.pot

include $(top_srcdir)/admin/Doxyfile.am
